Trigger evaluation
curl --request POST \
--url https://public-api.adclear.ai/v1/promotions/{promotionId}/versions/{versionId}/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'X-External-User-ID: <x-external-user-id>'import requests
url = "https://public-api.adclear.ai/v1/promotions/{promotionId}/versions/{versionId}/evaluate"
headers = {
"X-External-User-ID": "<x-external-user-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-External-User-ID': '<x-external-user-id>', Authorization: 'Bearer <token>'}
};
fetch('https://public-api.adclear.ai/v1/promotions/{promotionId}/versions/{versionId}/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Evaluation
Trigger evaluation
POST
/
v1
/
promotions
/
{promotionId}
/
versions
/
{versionId}
/
evaluate
Trigger evaluation
Authorizations
Unkey API key passed as Bearer token
Headers
External user identifier from the calling system
External user email from the calling system
Was this page helpful?
⌘I